Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPSignatureSubpacketGenerator

    java.lang.Object
      |
      +--org.bouncycastle.openpgp.PGPSignatureSubpacketGenerator

public class PGPSignatureSubpacketGenerator
extends java.lang.Object

Generator for signature subpackets.

Constructor Summary
`PGPSignatureSubpacketGenerator()`

Method Summary
`PGPSignatureSubpacketVector` | `generate()`
`void` | `setExportable(boolean isCritical, boolean isExportable)`
`void` | `setKeyExpirationTime(boolean isCritical, java.util.Date expirationTime)`
`void` | `setKeyFlags(boolean isCritical, int flags)`
`void` | `setPreferredCompressionAlgorithms(boolean isCritical, int[] algorithms)`
`void` | `setPreferredHashAlgorithms(boolean isCritical, int[] algorithms)`
`void` | `setPreferredSymmetricAlgorithms(boolean isCritical, int[] algorithms)`
`void` | `setRevocable(boolean isCritical, boolean isRevocable)`
`void` | `setSignatureExpirationTime(boolean isCritical, java.util.Date expirationTime)`
`void` | `setTrust(boolean isCritical, int depth, int trustAmount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPSignatureSubpacketGenerator

    public PGPSignatureSubpacketGenerator()

Method Detail

### setRevocable

    public void setRevocable(boolean isCritical,
                             boolean isRevocable)

### setExportable

    public void setExportable(boolean isCritical,
                              boolean isExportable)

### setTrust

    public void setTrust(boolean isCritical,
                         int depth,
                         int trustAmount)

### setKeyExpirationTime

    public void setKeyExpirationTime(boolean isCritical,
                                     java.util.Date expirationTime)

### setSignatureExpirationTime

    public void setSignatureExpirationTime(boolean isCritical,
                                           java.util.Date expirationTime)

### setPreferredHashAlgorithms

    public void setPreferredHashAlgorithms(boolean isCritical,
                                           int[] algorithms)

### setPreferredSymmetricAlgorithms

    public void setPreferredSymmetricAlgorithms(boolean isCritical,
                                                int[] algorithms)

### setPreferredCompressionAlgorithms

    public void setPreferredCompressionAlgorithms(boolean isCritical,
                                                  int[] algorithms)

### setKeyFlags

    public void setKeyFlags(boolean isCritical,
                            int flags)

### generate

    public PGPSignatureSubpacketVector generate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD